Subject: Re: [PATCH] cpuidle/powernv : init all present cpus for deep states

From: Stewart Smith <[email-masked]>
Date: Wed, 16 May 2018 10:22:22 -0500

Akshay Adiga <[email-masked]> writes:
> Init all present cpus for deep states instead of "all possible" cpus.
> Init fails if the possible cpu is gaurded. Resulting in making only
> non-deep states available for cpuidle/hotplug.

Should this also head to stable? It means that for single threaded
workloads, if you guard out a CPU core you'll not get WoF, which means
that performance goes down when you wouldn't expect it to. Right?

-- 
Stewart Smith
OPAL Architect, IBM.